Get latest changes
curl --request GET \
--url https://api.themoviedb.org/3/movie/18/changes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/18/changes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/18/changes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"changes": [
{
"key": "images",
"items": [
{
"id": "643197b96dea3a00d4377270",
"action": "added",
"time": "2023-04-08 16:35:05 UTC",
"iso_639_1": "",
"iso_3166_1": "",
"value": {
"poster": {
"file_path": "/s9ZrHprviFCx3azfWNBtt1LPSnL.jpg"
}
}
},
{
"id": "643197bae92d8300f46c92f5",
"action": "added",
"time": "2023-04-08 16:35:06 UTC",
"iso_639_1": "",
"iso_3166_1": "",
"value": {
"poster": {
"file_path": "/xQjGTWyNHXqqACOanXwOk1mOnxU.jpg"
}
}
}
]
}
]
}Movies
Get latest changes
This endpoint is used to get the recent changes for a movie. By default, only the last 24 hours are returned
GET
/
3
/
movie
/
18
/
changes
Get latest changes
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
A unique identifier for a movie
Example:
18
Query Parameters
A specific page number to get results for. Defaults to 1
Example:
1
The date to begin the query from. You can only query up to 14 days in a single query.
Example:
"2019-12-12T00:00:00.000Z"
The date to end the query at. You can only query up to 14 days in a single query.
Example:
"2019-12-16T00:00:00.000Z"
Response
200 - application/json
Request successful
Show child attributes
Show child attributes
⌘I
